[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [MediaAction](../index.md) / [UpdateMediaAggregateAction](./index.md)

# UpdateMediaAggregateAction

`data class UpdateMediaAggregateAction : `[`MediaAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L702)

Updates [MediaState.Aggregate](../../../mozilla.components.browser.state.state/-media-state/-aggregate/index.md) in the [MediaState](../../../mozilla.components.browser.state.state/-media-state/index.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `UpdateMediaAggregateAction(aggregate: `[`Aggregate`](../../../mozilla.components.browser.state.state/-media-state/-aggregate/index.md)`)`<br>Updates [MediaState.Aggregate](../../../mozilla.components.browser.state.state/-media-state/-aggregate/index.md) in the [MediaState](../../../mozilla.components.browser.state.state/-media-state/index.md). |

### Properties

| Name | Summary |
|---|---|
| [aggregate](aggregate.md) | `val aggregate: `[`Aggregate`](../../../mozilla.components.browser.state.state/-media-state/-aggregate/index.md) |
